Bug 515037 - pcscd keeps disk spun up for no reason
pcscd keeps disk spun up for no reason
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 454582
  Show dependency treegraph
 
Reported: 2009-07-31 20:47 EDT by Jannes Faber
Modified: 2010-03-03 10:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-03 10:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jannes Faber 2009-07-31 20:47:48 EDT
Description of problem:
pcscd keeps spinning up the hard disk on laptop.

Version-Release number of selected component (if applicable):
Installed Packages
Name       : pcsc-lite
Arch       : i586
Version    : 1.5.2
Release    : 2.fc11


How reproducible:

Steps to Reproduce:
1.  service pcscd start
2.  sysctl -w vm.block_dump=1
3.  while true; do sleep 10; date; dmesg -c | grep -v "kjournald\|pdflush"; done

(no need to insert a smart card or anything.)

Actual results:

every 10 seconds:
pcscd(1709): dirtied inode 5732 (pcscd.pub) on dm-0
pcscd(1709): dirtied inode 5732 (pcscd.pub) on dm-0

Seems like it writes to /var/run/pcscd.pub every 5 seconds. But as far as I can tell nothing is changing.

Expected results:
Be idle and stay idle until a smart card is inserted.

Additional info:
Bug that got me to test and find this: bug #454582

Solution so far: chkconfig pcscd off
Comment 1 Kalev Lember 2009-12-21 02:31:03 EST
I also got the same behaviour with pcsc-lite-1.5.2-3.fc12, but pcsc-lite-1.5.5-1.fc13 in rawhide appears to fix this.
Comment 2 Kalev Lember 2010-03-03 10:23:43 EST
Closing the ticket as the bug is fixed in the upcoming F-13 release.

Note You need to log in before you can comment on or make changes to this bug.